package com.theitbulls.androidservicedemo;

import android.app.IntentService;
import android.content.Intent;
import android.util.Log;
import android.widget.Toast;

import androidx.annotation.Nullable;

public class MyIntentService extends IntentService {
    public static final String ACTION_FOO = "com.theitbulls.androidservicedemo.action.FOO";
    public static final String ACTION_BAZ = "com.theitbulls.androidservicedemo.action.BAZ";

    public static final String EXTRA_PARAM1 = "com.theitbulls.androidservicedemo.extra.PARAM1";
    public static final String EXTRA_PARAM2 = "com.theitbulls.androidservicedemo.extra.PARAM2";

    public MyIntentService() {
        super("MyIntentService");
    }

    @Override
    protected void onHandleIntent(Intent intent) {
        if (intent != null) {
            final String action = intent.getAction();

            if (ACTION_FOO.equals(action)) {
                final String param1 = intent.getStringExtra(EXTRA_PARAM1);
                final String param2 = intent.getStringExtra(EXTRA_PARAM2);
                handleActionFoo(param1, param2);
            } else if (ACTION_BAZ.equals(action)) {
                final String param1 = intent.getStringExtra(EXTRA_PARAM1);
                final String param2 = intent.getStringExtra(EXTRA_PARAM2);
                handleActionBaz(param1, param2);
            }
        }
    }

    private void handleActionFoo(String param1, String param2) {
        Log.d("Service", "Foo Intent Service value for param1: " + param1 + ", param2: " + param2);
        Toast.makeText(getBaseContext(), "Foo Intent Service value for param1: " + param1 + ", param2: " + param2, Toast.LENGTH_SHORT).show();
    }

    private void handleActionBaz(String param1, String param2) {
        Log.d("Service", "Baz Intent Service value for param1: " + param1 + ", param2: " + param2);
        Toast.makeText(getBaseContext(), "Baz Intent Service value for param1: " + param1 + ", param2: " + param2, Toast.LENGTH_SHORT).show();
    }
}
